package duc.util.gui;

import javax.swing.text.JTextComponent;
import java.awt.event.KeyEvent;
import duc.util.*;

/**
 * SwingTelexDriver - The driver for Swing's JTextComponent
 * @version	0.1
 * @author	Ho Ngoc Duc <duc@informatik.uni-leipzig.de>
 */
public class SwingVietKey extends AbstractVietKey
{
	protected JTextComponent input;
public SwingVietKey(String method, JTextComponent ta, Encoding enc) {
    super(method);
    input = ta;
    encoding = enc;
}
	protected int getCaretPosition() { return input.getCaretPosition(); }
	protected String getText() { return input.getText(); }
   public void keyTyped(KeyEvent e)
   {
	   modifyText(e);
   }
	protected void replaceCharacter(int idx, char c)
	{
	  input.setCaretPosition(idx);
	  input.moveCaretPosition(idx+1);
	  input.replaceSelection(""+c);
	}
	protected void setCaretPosition(int pos) { input.setCaretPosition(pos); }
	protected void setText(String str) { input.setText(str); }
}
